#jinja2: lstrip_blocks: True
version: '3.8'

networks:
  infra-public:
    external: true

services:
  {{ service }}:
    image: {{ app_image_name }}:{{ project_version.stdout }}
    deploy:
      replicas: {{ nodes_replicas }}
      labels:
        - traefik.enable=true
        {% if domain != '' %}
        - traefik.http.routers.{{ stack_name }}-{{ service }}.rule=Host(`{{ domain }}`)
        {% endif %}
        {% if dns_provider != '' %}
        - traefik.http.routers.{{ stack_name }}-{{ service }}.tls=true
        - traefik.http.routers.{{ stack_name }}-{{ service }}.tls.certresolver={{ dns_provider }}
        {% endif %}
        - traefik.http.services.{{ stack_name }}-{{ service }}.loadbalancer.server.port=80
      resources:
        limits:
          memory: 32M
      update_config:
        delay: 5s
        failure_action: rollback
    networks:
      - infra-public
